using System.Collections.Generic;
using System.Linq;

namespace NzbDrone.Core.Parser
{
    public enum Language
    {
        Unknown = 0,
        English = 1,
        French = 2,
        Spanish = 3,
        German = 4,
        Italian = 5,
        Danish = 6,
        Dutch = 7,
        Japanese = 8,
        Cantonese = 9,
        Mandarin = 10,
        Russian = 11,
        Polish = 12,
        Vietnamese = 13,
        Swedish = 14,
        Norwegian = 15,
        Finnish = 16,
        Turkish = 17,
        Portuguese = 18,
        Flemish = 19,
        Greek = 20,
        Korean = 21,
        Hungarian = 22,
        Hebrew = 23,
        Czech = 24,
        Ukrainian = 25,
        Any = -1,
    }

    public static class LanguageExtensions
    {
        public static string ToExtendedString(this IEnumerable<Language> languages)
        {
            return string.Join(", ", languages.Select(l => l.ToString()));
        }
    }
}
